Botan 1.10.17

Namespaces | Macros
sha2_64.cpp File Reference
`#include <botan/sha2_64.h>`
`#include <botan/loadstor.h>`
`#include <botan/rotate.h>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::SHA2_64

## Macros
#define | SHA2_64_F(A, B, C, D, E, F, G, H, M1, M2, M3, M4, magic)

## Macro Definition Documentation

## ◆ SHA2_64_F

#define SHA2_64_F | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E,
|  |  | F,
|  |  | G,
|  |  | H,
|  |  | M1,
|  |  | M2,
|  |  | M3,
|  |  | M4,
|  |  | magic
| ) |  |

Value:
do { \
H += magic + rho(E, 14, 18, 41) + ((E & F) ^ (~E & G)) + M1; \
D += H; \
H += rho(A, 28, 34, 39) + ((A & B) | ((A | B) & C)); \
M1 += sigma(M2, 19, 61, 6) + M3 + sigma(M4, 1, 8, 7); \
} while(0);

Definition at line 41 of file sha2_64.cpp.